List Quotes
curl --request GET \
--url https://api.paxos.com/v2/quotes \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.paxos.com/v2/quotes"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.paxos.com/v2/quotes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"id": "366a26d2-3098-4226-a520-4bb43ae4d922",
"market": "BTCUSD",
"side": "BUY",
"price": "6001.2",
"base_asset": "BTC",
"quote_asset": "USD",
"created_at": "2020-01-17T18:36:08Z",
"expires_at": "2020-01-17T18:36:38Z"
},
{
"id": "71e2a297-f2d7-423c-8e4f-486aac70fa9f",
"market": "BTCUSD",
"side": "SELL",
"price": "5999.8",
"base_asset": "BTC",
"quote_asset": "USD",
"created_at": "2020-01-17T18:36:08Z",
"expires_at": "2020-01-17T18:36:38Z"
},
{
"id": "ee018e41-0379-41c6-a099-1ea81204b192",
"market": "ETHUSD",
"side": "BUY",
"price": "225.88",
"base_asset": "ETH",
"quote_asset": "USD",
"created_at": "2020-01-17T18:36:08Z",
"expires_at": "2020-01-17T18:36:38Z"
},
{
"id": "5a336768-5bc1-4401-9d95-9cb251ce4b58",
"market": "ETHUSD",
"side": "SELL",
"price": "224.11",
"base_asset": "ETH",
"quote_asset": "USD",
"created_at": "2020-01-17T18:36:08Z",
"expires_at": "2020-01-17T18:36:38Z"
}
]
}Quotes
List Quotes
List quotes for buying or selling assets. By default, the list will include the latest available quotes for both buying and selling all supported assets.
Each quote is valid until expires_at, and can be executed on by
calling Create Quote Execution.
Multiple calls to list quotes in quick succession may return the same quote values. Paxos currently issues new quotes at most once per second.
GET
/
quotes
List Quotes
OAuth Scope
exchange:read_quote
Authorizations
Paxos APIs use OAuth 2 with the client credentials grant flow.
Token URLs:
- Production: https://oauth.paxos.com/oauth2/token
- Sandbox: https://oauth.sandbox.paxos.com/oauth2/token
Learn more in the API credentials guide →
Query Parameters
Available options:
ETHEUR, ETHSGD, ETHUSD, BTCEUR, BTCSGD, BTCUSD, PAXGUSD, BCHUSD, LTCUSD, USDPUSD, LINKUSD, SOLUSD, AAVEUSD, UNIUSD, PEPEUSD, TRUMPUSD, SHIBUSD, ARBUSD, BONKUSD, ENAUSD, MNTUSD, ONDOUSD, PENGUUSD, QNTUSD, RENDERUSD, SKYUSD, WIFUSD, WLDUSD, DOGEUSD, AVAXUSD, SUIUSD, POLUSD, XLMUSD, BNBUSD, APTUSD, OPUSD, TRXUSD Response
200 - application/json
A successful response.
Show child attributes
Show child attributes
Was this page helpful?